// @import './constants.scss';
*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  margin: 0;
  height: auto !important;
  -webkit-font-smoothing: antialiased;
}

a,
label {
  -webkit-tap-highlight-color: transparent;
}

a {
  text-decoration: none;
  color: inherit;
  transition: color 0.2s ease;

  &:hover {
    // color: $blue400;
    cursor: pointer;
  }
}

h1,
h2,
h3,
h4 {
  margin: 0;
}
p {
  margin: 0;
}

img {
  max-width: 100%;
  display: block;
}
svg {
  display: block;
}

// Убирает браузерные стили у тега button
/* stylelint-disable  property-no-vendor-prefix */
@mixin reset-button() {
  border: none;
  margin: 0;
  padding: 0;
  width: auto;
  overflow: visible;
  text-align: inherit;
  outline: none;
  cursor: pointer;
  background-color: transparent;

  /* inherit font & color from ancestor */
  color: inherit;
  font: inherit;

  /* Normalize `line-height`. Cannot be changed from `normal` in Firefox 4+. */
  line-height: normal;

  /* Corrects font smoothing for webkit */
  -webkit-font-smoothing: inherit;
  -moz-osx-font-smoothing: inherit;

  /* Corrects inability to style clickable `input` types in iOS */
  -webkit-appearance: none;

  /* Remove excess padding and border in Firefox 4+ */
  &::-moz-focus-inner {
    border: 0;
    padding: 0;
  }
}

//   #2898FF
.splide {
  height: 100%;
}
.splide__arrow {
  //   top: 100%;
  background: transparent;
  //   height: 11px;
  opacity: 1;
  transform: rotate(180deg);
  svg {
    fill: none;
    height: auto;
    width: auto;
  }
}
.splide__slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 46px;
  @media (max-width: 1023px) {
    border-radius: 10px;
  }
}
.splide__track {
  border-radius: 46px;
  height: 100%;
  @media (max-width: 1023px) {
    border-radius: 10px;
  }
}
#lab, #assort-main{
  .splide__track {
    border-radius: unset;
    height: 100%;
    margin-left: -40px;
    @media (max-width: 1023px) {
      margin-left: -20px;
    }
  }
  .splide__slide {
    // img {
    //   border-radius: unset;
    //   object-fit: contain;
    // }
    a {
      display: flex;
      align-items: center;
      height: 100%;
    }
  }
  .splide__arrow--prev {
    left: 0;
  }
  .splide__arrow--next {
    right: 0;
  }
  .splide__arrow{
    height: auto;
    width: auto;
    position: static;
    transform: rotate(0deg);
    &:disabled{
      opacity: 1;
      .button_blue{
        background: #c1c1c1;
        cursor: default;
      }
      cursor: default;
    }
  }
}
#lab{
  .splide__slide {
    img {
      border-radius: unset;
      object-fit: contain;
    }}
}
.my__splide__arrows {
  position: absolute;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  width: 100%;
  height: 30px;
  .splide__arrow,
  .splide__pagination {
    position: static;
  }
  .splide__arrow {
    height: 14px;
    width: auto;
    svg {
      height: 14px;
    }
  }
}
// .splide__arrows {
//   position: absolute;
//   width: 300px;
//   margin: 0 auto;
//   bottom: -32px;
//   height: 12px;
//   .splide__arrow{
//     transform: none;
//     top: auto;
//     width: auto;
//   }
//   .splide__arrow--prev{
//     left: 0;
//   }
//   .splide__arrow--next{
//     right: 0;
//   }
// }
.splide__pagination {
  //   bottom: -33px;
  //   width: max-content;
  //   margin: 0 auto;
}
.splide__pagination__page {
  background: #214464;
  height: 10px;
  margin: 0 7px;
  opacity: 1;
  width: 10px;
}
.splide__pagination__page.is-active {
  background: #d9d9d9;
  transform: none;
}
.splide:not(.is-overflow) .splide__arrows {
  display: none;
}

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  background-position: center;
  background-size: cover;
}

.swiper-slide img {
  display: block;
  width: 100%;
}
